@my-swu/simulator-client / LimitedEventCommandRequest
Interface: LimitedEventCommandRequest
Defined in: packages/ts-sdk/src/generated/types/common.ts:2924
Command request body for a limited event.
Example:
ts
import type { LimitedEventCommandRequest } from '@my-swu/simulator-client'
const limitedEventCommandRequest: LimitedEventCommandRequest = {
seatToken: 'limited_token_123',
command: { type: 'readyForNextDraft' },
}
console.log(limitedEventCommandRequest)Properties
command
Example:
ts
import type { LimitedEventCommandRequest } from '@my-swu/simulator-client'
const limitedEventCommandRequest: LimitedEventCommandRequest = {
seatToken: 'limited_token_123',
command: { type: 'readyForNextDraft' },
}
const { command: limitedEventCommand } = limitedEventCommandRequest
console.log(limitedEventCommand)command:
LimitedEventCommand
Defined in: packages/ts-sdk/src/generated/types/common.ts:2928
Command to apply.
seatToken
Example:
ts
import type { LimitedEventCommandRequest } from '@my-swu/simulator-client'
const limitedEventCommandRequest: LimitedEventCommandRequest = {
seatToken: 'limited_token_123',
command: { type: 'readyForNextDraft' },
}
const { seatToken } = limitedEventCommandRequest
console.log(seatToken)seatToken:
string
Defined in: packages/ts-sdk/src/generated/types/common.ts:2932
Seat token returned by create or join.
